<?php
$wp_customize->add_section(
	'footer_options',
	array(
		'priority'    => 6,
		'panel'       => 'food-blogger',
		'title'       => __( 'Footer Options', 'food-blogger' ),
		'description' => __( 'Customize Website Footer Layouts', 'food-blogger' ),
		'capability'  => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'show_footer_logo',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'food_blogger_sanitize_checkbox',
		'default'     => false,
	)
);
$wp_customize->add_control(
	'show_footer_logo',
	array(
		'label'       => __( 'Show Footer Logo', 'food-blogger' ),
		'section'     => 'footer_options',
		'type'        => 'checkbox',
	)
);

$wp_customize->add_setting(
	'footer_logo_image',
	array(
		'sanitize_callback' => 'food_blogger_sanitize_image',
		'capability' => 'edit_theme_options',
		'transport'     => 'refresh',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'footer_logo_image',
		array(
			'label' => __( 'Footer Logo', 'food-blogger' ),
			'section' => 'footer_options',
		)
	)
);

$wp_customize->add_setting(
	'show_footer_menu',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'food_blogger_sanitize_checkbox',
		'default'     => true,
	)
);
$wp_customize->add_control(
	'show_footer_menu',
	array(
		'label'       => __( 'Show Footer Menu', 'food-blogger' ),
		'section'     => 'footer_options',
		'type'        => 'checkbox',
	)
);

$wp_customize->add_setting(
	'show_footer_social_links',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'food_blogger_sanitize_checkbox',
		'default'     => false,
	)
);
$wp_customize->add_control(
	'show_footer_social_links',
	array(
		'label'       => __( 'Show Footer Social Links', 'food-blogger' ),
		'section'     => 'footer_options',
		'type'        => 'checkbox',
	)
);
