<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Food Blogger
 */

$grid_column = get_theme_mod( 'grid_column', 'col-sm-4' );
if ( $grid_column === 'col-sm-6' ) {
	$grid_column = 'col-lg-6 col-md-12';
} elseif ( $grid_column === 'col-sm-4' ) {
	$grid_column = 'col-sm-12 col-md-6 col-lg-4';
} elseif ( $grid_column === 'col-sm-3' ) {
	$grid_column = 'col-sm-12 col-md-6 col-lg-3';
}
$post_classes = 'food-blogger-standard-post';
if ( ! has_post_thumbnail() ) {
	$post_classes = 'food-blogger-standard-post no-post-thumbnail ';
}

?>
<div class="<?php echo esc_attr( $grid_column ); ?> blog-grid-layout">
	<article id="post-<?php the_ID(); ?>" <?php post_class( $post_classes ); ?>>
		<div class="food-blogger-standard-post__entry-content text-left">
			<?php if ( has_post_thumbnail() ) : ?>
				<div class="food-blogger-standard-post__thumbnail post-header">
					<?php food_blogger_post_thumbnail(); ?>
					<div class="food-blogger-standard-post__blog-meta category-above-thumbnail mt-0">
						<?php food_blogger_categories(); ?>
					</div>
				</div>
			<?php endif; ?>
			<div class="food-blogger-standard-post__content-wrapper">
				<div class="food-blogger-standard-post__post-title">
					<a href="<?php the_permalink(); ?>"><h3><?php the_title(); ?></h3></a>
				</div>
				<div class="food-blogger-standard-post__blog-meta">
					<?php
					food_blogger_posted_by( true );
					food_blogger_posted_on();
					?>
				</div>
				<?php the_excerpt(); ?>
				<div class="food-blogger-standard-post__read-more">
					<a href="<?php the_permalink();?>"><?php esc_html_e('Read More', 'food-blogger'); ?></a>
				</div>
			</div>
		</div>
	</article><!-- #post-<?php the_ID(); ?> -->
</div>
